package com.wd.workoffice.model;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.contract.WorkWarehouseContract;
import com.wd.workoffice.retrofit.RtfUtils;

import java.util.Map;

import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkWarehouseModel implements WorkWarehouseContract.Model {
    @Override
    public Observable<BaseBean> getWarehouse(Map<String, Object> param) {
        return RtfUtils.getRtf().getWarehouse(param);
    }

    @Override
    public Observable<BaseBean> getOrder(Map<String, Object> param) {
        return  RtfUtils.getRtf().getWareHouseOrder(param);
    }
    public static WorkWarehouseModel newInstance() {
        return new WorkWarehouseModel();
    }
}
